Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.wbem.cim
Class XmlGenericId

    java.lang.Object
      |
      +--com.sun.wbem.cim.XmlNameSpace
            |
            +--com.sun.wbem.cim.XmlGenericId

Direct Known Subclasses:
  com.sun.wbem.cim.XmlElement

public class XmlGenericId
extends XmlNameSpace

Field Summary
`static java.lang.String` | `CIM`
`static java.lang.String` | `CLASS`
`static java.lang.String` | `CLASSNAME`
`static java.lang.String` | `CLASSPATH`
`static java.lang.String` | `DECLARATION`
`static java.lang.String` | `DECLGROUP`
`static java.lang.String` | `DECLGROUP_WITHNAME`
`static java.lang.String` | `DECLGROUP_WITHPATH`
`static java.lang.String` | `ERROR`
`static java.lang.String` | `HOST`
`static java.lang.String` | `IMETHODCALL`
`static java.lang.String` | `IMETHODRESPONSE`
`static java.lang.String` | `INSTANCE`
`static java.lang.String` | `INSTANCENAME`
`static java.lang.String` | `INSTANCEPATH`
`static java.lang.String` | `IPARAMVALUE`
`static java.lang.String` | `IRETURNVALUE`
`static java.lang.String` | `KEYBINDING`
`static java.lang.String` | `KEYVALUE`
`static java.lang.String` | `LOCALCLASSPATH`
`static java.lang.String` | `LOCALINSTANCEPATH`
`static java.lang.String` | `LOCALNAMESPACEPATH`
`static java.lang.String` | `MESSAGE`
`static java.lang.String` | `METHOD`
`static java.lang.String` | `METHODCALL`
`static java.lang.String` | `METHODRESPONSE`
`static java.lang.String` | `MULTIREQ`
`static java.lang.String` | `MULTIRSP`
`static java.lang.String` | `NAMESPACE`
`static java.lang.String` | `NAMESPACEPATH`
`static java.lang.String` | `OBJECTPATH`
`static java.lang.String` | `PARAMETER`
`static java.lang.String` | `PARAMETER_ARRAY`
`static java.lang.String` | `PARAMETER_REFARRAY`
`static java.lang.String` | `PARAMETER_REFERENCE`
`static java.lang.String` | `PARAMVALUE`
`static java.lang.String` | `PROPERTY`
`static java.lang.String` | `PROPERTY_ARRAY`
`static java.lang.String` | `PROPERTY_REFERENCE`
`static java.lang.String` | `QUALIFIER`
`static java.lang.String` | `QUALIFIER_DECLARATION`
`static java.lang.String` | `RETURNVALUE`
`static java.lang.String` | `SCOPE`
`static java.lang.String` | `SIMPLEREQ`
`static java.lang.String` | `SIMPLERSP`
`static java.lang.String` | `TOXML`
`static java.lang.String` | `VALUE`
`static java.lang.String` | `VALUE_ARRAY`
`static java.lang.String` | `VALUE_NAMEDINSTANCE`
`static java.lang.String` | `VALUE_NAMEDOBJECT`
`static java.lang.String` | `VALUE_OBJECT`
`static java.lang.String` | `VALUE_OBJECTWITHLOCALPATH`
`static java.lang.String` | `VALUE_OBJECTWITHPATH`
`static java.lang.String` | `VALUE_REFARRAY`
`static java.lang.String` | `VALUE_REFERENCE`

Constructor Summary
`XmlGenericId()`

Methods inherited from class com.sun.wbem.cim.XmlNameSpace
`getName, getPublicId, getSystemId, setName, setPublicId, setSystemId`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CIM

    public static java.lang.String CIM

### CLASS

    public static java.lang.String CLASS

### CLASSNAME

    public static java.lang.String CLASSNAME

### CLASSPATH

    public static java.lang.String CLASSPATH

### DECLARATION

    public static java.lang.String DECLARATION

### DECLGROUP

    public static java.lang.String DECLGROUP

### DECLGROUP_WITHNAME

    public static java.lang.String DECLGROUP_WITHNAME

### DECLGROUP_WITHPATH

    public static java.lang.String DECLGROUP_WITHPATH

### ERROR

    public static java.lang.String ERROR

### HOST

    public static java.lang.String HOST

### IMETHODCALL

    public static java.lang.String IMETHODCALL

### IMETHODRESPONSE

    public static java.lang.String IMETHODRESPONSE

### INSTANCE

    public static java.lang.String INSTANCE

### INSTANCENAME

    public static java.lang.String INSTANCENAME

### INSTANCEPATH

    public static java.lang.String INSTANCEPATH

### IPARAMVALUE

    public static java.lang.String IPARAMVALUE

### IRETURNVALUE

    public static java.lang.String IRETURNVALUE

### KEYBINDING

    public static java.lang.String KEYBINDING

### KEYVALUE

    public static java.lang.String KEYVALUE

### LOCALCLASSPATH

    public static java.lang.String LOCALCLASSPATH

### LOCALINSTANCEPATH

    public static java.lang.String LOCALINSTANCEPATH

### LOCALNAMESPACEPATH

    public static java.lang.String LOCALNAMESPACEPATH

### MESSAGE

    public static java.lang.String MESSAGE

### METHOD

    public static java.lang.String METHOD

### METHODCALL

    public static java.lang.String METHODCALL

### METHODRESPONSE

    public static java.lang.String METHODRESPONSE

### MULTIREQ

    public static java.lang.String MULTIREQ

### MULTIRSP

    public static java.lang.String MULTIRSP

### NAMESPACE

    public static java.lang.String NAMESPACE

### NAMESPACEPATH

    public static java.lang.String NAMESPACEPATH

### OBJECTPATH

    public static java.lang.String OBJECTPATH

### PARAMETER

    public static java.lang.String PARAMETER

### PARAMETER_ARRAY

    public static java.lang.String PARAMETER_ARRAY

### PARAMETER_REFARRAY

    public static java.lang.String PARAMETER_REFARRAY

### PARAMETER_REFERENCE

    public static java.lang.String PARAMETER_REFERENCE

### PARAMVALUE

    public static java.lang.String PARAMVALUE

### PROPERTY

    public static java.lang.String PROPERTY

### PROPERTY_ARRAY

    public static java.lang.String PROPERTY_ARRAY

### PROPERTY_REFERENCE

    public static java.lang.String PROPERTY_REFERENCE

### QUALIFIER

    public static java.lang.String QUALIFIER

### QUALIFIER_DECLARATION

    public static java.lang.String QUALIFIER_DECLARATION

### RETURNVALUE

    public static java.lang.String RETURNVALUE

### SCOPE

    public static java.lang.String SCOPE

### SIMPLEREQ

    public static java.lang.String SIMPLEREQ

### SIMPLERSP

    public static java.lang.String SIMPLERSP

### TOXML

    public static java.lang.String TOXML

### VALUE

    public static java.lang.String VALUE

### VALUE_ARRAY

    public static java.lang.String VALUE_ARRAY

### VALUE_NAMEDINSTANCE

    public static java.lang.String VALUE_NAMEDINSTANCE

### VALUE_NAMEDOBJECT

    public static java.lang.String VALUE_NAMEDOBJECT

### VALUE_OBJECT

    public static java.lang.String VALUE_OBJECT

### VALUE_OBJECTWITHLOCALPATH

    public static java.lang.String VALUE_OBJECTWITHLOCALPATH

### VALUE_OBJECTWITHPATH

    public static java.lang.String VALUE_OBJECTWITHPATH

### VALUE_REFARRAY

    public static java.lang.String VALUE_REFARRAY

### VALUE_REFERENCE

    public static java.lang.String VALUE_REFERENCE

Constructor Detail

### XmlGenericId

    public XmlGenericId()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD